+ Antworten
Ergebnis 1 bis 5 von 5
  1. #1
    Registriert seit
    Apr 2019
    Ort
    Blumberg
    Beiträge
    193

    Standard nach Update auf 5.3 Fehlermeldung bei ssh

    Hallo Forum,
    hatte von 5.2 auf 5.3 upgedatet und seither habe ich Probleme beim ssh Zugriff auf meinen raspberry:

    //SSH Login
    include('net/SSH2.php');
    $ssh = new Net_SSH2('192.aaa.xxx.bb'); // IP vom Raspberry


    $rasp_bn = GetValueString(12345 /*[Allgemein\Parameter\ssh_benutzer]*/);
    $rasp_pw = GetValueString(54321 /*[Allgemein\Parameter\ssh_pw]*/);


    if (!$ssh->login($rasp_bn, $rasp_pw)) // Anmeldedaten vom Raspberry

    in den beiden Variablen $rasp_bn und $rasp_pw sind Werte vorhanden.

    beim Login erhalte ich die Fehlermeldung:

    Notice: No compatible server to client encryption algorithms found in C:\ProgramData\Symcon\scripts\Net\SSH2.php on line 1561
    Login Failed

    im ssh2.php sind diese Befehle in dem Bereich um 1561:

    // we need to decide upon the symmetric encryption algorithms before we do the diffie-hellman key exchange
    // we don't initialize any crypto-objects, yet - we do that, later. for now, we need the lengths to make the
    // diffie-hellman key exchange as fast as possible
    $decrypt = $this->_array_intersect_first($encryption_algorithms, $this->encryption_algorithms_server_to_client);
    $decryptKeyLength = $this->_encryption_algorithm_to_key_size($decrypt);
    if ($decryptKeyLength === null) {
    user_error('No compatible server to client encryption algorithms found');
    return $this->_disconnect(NET_SSH2_DISCONNECT_KEY_EXCHANGE_FAIL ED);
    }

    Das File ssh2.php hat ein Änderungsdatum vom 15.04.2018

    Ist das File veraltet und passt nicht mehr zur php Version?

    Danke für eure Hilfe.
    Grüße von
    Ekkehard
    ip-Symcon 5.5 läuft auf dem controlpro (Win10 System) als Dienst, controlmini ist der Router zum KNX System / ips-studio 4.1 und ips-view / knx-System mit ETS5.x / Sonos / Alexa / raspberry liefert wieder CAN-Bus Daten der Wärmepumpe

  2. #2
    Registriert seit
    Nov 2015
    Beiträge
    1,729

    Moin Ekkehard,

    dies sollte helfen IP-Symcon Community Forum

    Gruß
    Hans
    Entwicklung: Win 10 Pro x64 | Produktiv: Win 10 Pro x64 auf Intel NUC 5PPYH | IPS 5.5 | piVCCU3 auf Pi 3 / Pi 4 + div. HM Geräte | Harmony Hub | IPSStudio 4.1 | Clients: Windows mit Iiyama T2735MSC-B2 | iPad | iPhone

  3. #3
    Registriert seit
    Apr 2019
    Ort
    Blumberg
    Beiträge
    193

    Hallo Hans,
    besten Dank für Deine wirklich super schnelle Hilfe.
    Super Hilfe aus dem ip-symcon Forum.
    Habe die Files aus dem zip-ordner verteilt und sofort konnte ich von ip-symcon wieder auf mein raspberry zugreifen.
    Ist die Aktion wegen einem php-Update notwendig gewesen oder warum mussten neue "net" Files eingebunden werden?
    Nochmals Danke und der heutige Feiertag ist für mich wieder ok.
    Grüße von
    Ekkehard
    ip-Symcon 5.5 läuft auf dem controlpro (Win10 System) als Dienst, controlmini ist der Router zum KNX System / ips-studio 4.1 und ips-view / knx-System mit ETS5.x / Sonos / Alexa / raspberry liefert wieder CAN-Bus Daten der Wärmepumpe

  4. #4
    Registriert seit
    Feb 2005
    Ort
    Lübeck
    Beiträge
    24,076

    Korrekt. Die Bibliothek war leider nicht mit der neueren PHP Version kompatibel.

    paresy

  5. #5
    Registriert seit
    Nov 2015
    Beiträge
    1,729

    Moin Ekkehard,

    Zitat Zitat von Ekkehard Beitrag anzeigen
    Hallo Hans,
    besten Dank für Deine wirklich super schnelle Hilfe.
    Nochmals Danke und der heutige Feiertag ist für mich wieder ok.
    Grüße von
    Ekkehard
    da sieht man mal wieder, dass die Nordlichter bzgl. Feiertage immer im Nachteil sind

    Gruß
    Hans
    Entwicklung: Win 10 Pro x64 | Produktiv: Win 10 Pro x64 auf Intel NUC 5PPYH | IPS 5.5 | piVCCU3 auf Pi 3 / Pi 4 + div. HM Geräte | Harmony Hub | IPSStudio 4.1 | Clients: Windows mit Iiyama T2735MSC-B2 | iPad | iPhone

Ähnliche Themen

  1. SSH Fehler nach 5.3 Stable update
    Von BestEx im Forum Allgemeine Diskussion
    Antworten: 25
    Letzter Beitrag: 28.02.20, 13:38
  2. Fehlermeldung beim Value-Button nach Update auf 4.0
    Von Rubberduck im Forum IPSStudio & IPSView
    Antworten: 12
    Letzter Beitrag: 18.12.18, 22:37
  3. Nach Update auf 5.0 doppelte Einträge bei Kern Instanzen
    Von prozanko im Forum Allgemeine Diskussion
    Antworten: 7
    Letzter Beitrag: 13.08.18, 22:33
  4. Fehlermeldung in Hue-Script nach Update auf 3.1
    Von Uhlhorn im Forum Skripte, PHP, SQL
    Antworten: 9
    Letzter Beitrag: 08.04.14, 19:26
  5. Gedankenstütze bei SetValueString nach Update auf 2.5
    Von madde007 im Forum Skripte, PHP, SQL
    Antworten: 2
    Letzter Beitrag: 26.02.12, 13:29